Bug 503827 - sata_sx4: ata_cmd_set_features time out resulting in disabled device
sata_sx4: ata_cmd_set_features time out resulting in disabled device
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.3
All Linux
low Severity medium
: rc
: 5.4
Assigned To: David Milburn
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-02 17:53 EDT by David Milburn
Modified: 2009-09-02 04:56 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 04:56:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to fix problem. (8.31 KB, patch)
2009-06-02 17:55 EDT, David Milburn
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:1243 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.4 kernel security and bug fix update 2009-09-01 04:53:34 EDT

  None (edit)
Description David Milburn 2009-06-02 17:53:00 EDT
Description of problem:

The sata_sx4.c driver is issuing a NODATA command using packet mode and the
interrupt service routine doesn't handle the interrupt since the 
ATA_TFLAG_POLLING bit is set. This results in ATA_CMD_SET_FEATURES timing out
and device is disabled, the driver fails in -53.el5, -92.el5, and -128.el5.

Upstream commits needed for RHEL5 sata_sx4 driver

commit 19799bfc5da476ad72eecc5f0f9018c5d351cbd5
Author: David Milburn <dmilburn@redhat.com>
Date:   Wed May 13 18:02:21 2009 -0500

    [libata] sata_sx4: fixup interrupt handling
    
commit 67651ee5710c45ea62fae68b768d65395ccf47c2
Author: Jeff Garzik <jeff@garzik.org>
Date:   Wed Apr 8 16:02:18 2009 -0400

    [libata] sata_sx4: convert to new exception handling methods

And one fix to libata-sff.c to handle (status == 0x7f) on an empty port

commit b919930c34e99a48d6b13a5ec9db8c059ec44d72
Author: Tejun Heo <tj@kernel.org>
Date:   Sun Jan 25 10:26:00 2009 +0900

    libata: set NODEV_HINT for 0x7f status
Comment 1 David Milburn 2009-06-02 17:55:35 EDT
Created attachment 346324 [details]
Patch to fix problem.
Comment 3 Don Zickus 2009-06-11 11:37:38 EDT
in kernel-2.6.18-153.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.
Comment 6 errata-xmlrpc 2009-09-02 04:56:39 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1243.html

Note You need to log in before you can comment on or make changes to this bug.